<?php
/**
 * Admin new user email
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/admin-wholesale-new-user.php.
 *
 * HOWEVER, on occasion Barn2 will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates/Emails
 * @version 4.x.x
 */

defined( 'ABSPATH' ) || exit;

do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<?php
/**
 * Output body content - this is set in each email's settings.
 */
if ( $body_content ) {
	echo wp_kses_post( wpautop( wptexturize( $body_content ) ) );
}

do_action( 'woocommerce_email_footer', $email );
